#include "Thermometer.h"

//TESTED in 20013.8.15 with KD48P and OHM classes

Vec<double> Thermometer::Temperature()
//Returns with the temperature of the device on the previously set channels: error: -5000
{
  Vec<double> result;//Allocate array for the results
  if (std::count(channels->begin(),channels->end(),true)>0) //Get the number of true elements int the channels
  {
    //Get the temperatures of the measured values:
    getTempHW(temperatures);//Returns with the temperatures: -5000: error
    for(int i=0; i<(int)channels->size(); i++) if (channels->at(i)) result.push_back(temperatures[i]);
  }
  return result;
}