#include <fstream>

#include "MTESTControl.h"
#include "MTESTServer.h"

#include <unistd.h>
#include <sys/types.h>

int main()
{
    seteuid(getuid());//Setting the effective uid
    MTESTControl mtc;
    std::ifstream is("config_file.dat");
    std::ofstream os("config_file_out.dat");
    if(mtc.readCfgFile(is))
    {
      MTESTServer mts(std::string("./mtest_socket"), 2);
      mts.Run(mtc);
      mtc.writeCfgFile(os);
    }
    else std::cout<<"Unsuccessful read of cfg"<<std::endl;
    
    return 0;
}